function [lfpar2,lfazo1]=plot_lfazo_3(lfpar,lfazo1);
%
% * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 
%
%         Copyright (c) 2003 material of
%         
%         Woods Hole Oceanographic Institution
%         All rights reserved.
%         
%         This material cannot be distributed or sold without 
%         prior permission of the author(s).
%
% * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 
%
%function [lfpar2,lfazo1]=plot_lfazo_1(lfpar,lfazo1);

%global lfazo1;

%lfpar.read = 0;
if (isfield(lfpar,'PARAMS') == 0)
   lfpar.PARAMS=1;
end

if (lfpar.read == 1)

fig=findobj('type','figure','tag','bigmenu');
tagit=sprintf('c41');
h=findobj(fig,'tag',tagit);	
set(h,'visible','on','String','LOADING DATA',...
	    'horizontalalignment','center',...
        'foregroundcolor',[1 1 1],...
        'backgroundcolor',[.9 .1 .1]);
pause(.1)

%filename=sprintf('%s/%s.%s',lfpar.DIRECTORY,lfpar.MODEL,lfpar.EXTENT)

filename = sprintf('%s/%s',lfpar.DIRECTORY,lfpar.EXTENT)
istart   = lfpar.ISTART;
istop    = lfpar.IEND;
clear D H;
%[D,H]    = readsegy (filename, istart, istop);
%[D,H]    = readsegy (filename);
[D,H]=readsegy(filename,istart,istop);

[llen]=size(D)
size (H)
nlen=llen(2);
clear lfazo1;
for trace=1:nlen
 lfazo1.d(trace).m       = H(trace).fldr;
 lfazo1.d(trace).n       = H(trace).tracf;
%disp(['M ',num2str(lfazo1.d(trace).m),' N ',num2str(lfazo1.d(trace).n)]);
 lfazo1.d(trace).npts    = H(trace).ns;
 lfazo1.d(trace).nnsamp  = (1.0/H(trace).dt)*1000000;
 lfazo1.d(trace).range   = H(trace).offset/1000.;
 lfazo1.d(trace).depth   = H(trace).gdel;
 lfazo1.d(trace).azimuth = H(trace).azim/10.0;
 lfazo1.d(trace).btime   = H(trace).delrt/1000.;
 lfazo1.d(trace).datamax = max(abs(D(:,trace)));
 lfazo1.d(trace).data    = D(1:H(trace).ns,trace);  
  ave                    = 0;
  ave                    = mean(lfazo1.d(trace).data);
  lfazo1.d(trace).data   = lfazo1.d(trace).data -ave;

end
disp(['nlen after read is ' num2str(nlen) ' ' num2str(llen(2))]);
for nb=1:nlen
  nn(nb)=getfield(lfazo1,'d',{nb},'n');
  mm(nb)=getfield(lfazo1,'d',{nb},'m');
  ldatamax(nb)=getfield(lfazo1,'d',{nb},'datamax');
  lrange(nb)=getfield(lfazo1,'d',{nb},'range');
end

clear D;
lfazo1

minn=min(nn);
maxn=max(nn);
minm=min(mm);
maxm=max(mm);
%if (lfpar.MEN > maxm)
    lfpar.MEN = maxm;
%end
%if (lfpar.MST < minm)
    lfpar.MST = minm;
%end
%if (lfpar.NEN > maxn)
    lfpar.NEN = maxn;
%end
%if (lfpar.NST < minn)
    lfpar.NST = minn;
%end

lfpar.read=0;

end  % end of read in data

fig=findobj('type','figure','tag','bigmenu');
tagit=sprintf('c41');
h=findobj(fig,'tag',tagit);	
set(h,'visible','on','String','PLOTTING DATA  WAIT',...
	    'horizontalalignment','center',...
        'foregroundcolor',[1 1 1],...
        'backgroundcolor',[.1 .1 .9]);

nlen=length(lfazo1.d);
count=0;
lfpar2=lfpar;
xlen=(lfpar2.LFREN - lfpar2.LFRST) *lfpar2.LFRSCALE;
ylen=(lfpar2.LFTEN - lfpar2.LFTST) *lfpar2.LFTSCALE;
if (lfpar2.DEPTH ==  3)
  xlen=ceil((lfpar2.IEND-lfpar2.ISTART + 2)/lfpar2.ISTEP) * lfpar2.LFRSCALE;
end

lfazoplot=figure('NumberTitle','off',...
                'Name','SEGY Plot',...
                'Units','inches','tag','lfazoplot',...
                'Position', [2 2 8.5 11],...
                'PaperSize', [8.5 11]);
%                'Position', [2 2 xlen+2 ylen+3]);
		
%ax2=axes('position',[.1 0.75 xlen ylen],'Units','inches');
ax2=axes('position',[.1 0.75 12 5],'Units','inches');
set(ax2,'visible','on','box','on',...
        'position',[1 1.5 12 5],'Units','inches',...
        'tickdir','out','xaxislocation','bottom');   

if (lfpar2.IPLOT == 1)
    istart = lfpar2.ISTART;
    iend   = lfpar2.IEND;
    istep  = lfpar2.ISTEP;
    i=1;
    while ((lfazo1.d(i).m < lfpar2.ISTART) && (i < nlen))
       i=i+1;
    end
        istart=i;
	i=nlen;
    while ((lfazo1.d(i).m > lfpar2.IEND) && (i > 0))
       i=i-1;
    end
        iend=i;
 
    go=1;
  elseif (lfpar2.IPLOT == 2)
    istart=1;
    xx=size(lfazo1.d);
    iend=xx(2);
    istep=1;
    step=0;
    icount=0;
    go=0;
end

%lfpar2.CRUISE='LFAS';
%for i=istart:istep:iend
%for i=1:istep:nlen
%for i=1:nlen
%disp([' istart is ',num2str(istart),'  iend is ',num2str(iend),'  nlen is ',num2str(nlen)]);
if (strcmp(getfield(lfpar2,'CRUISE'), 'LFAS'))
    nloops = 4;
    level1 = lfpar2.CHANST;
    level2 = lfpar2.CHANST + 3;
    level3 = lfpar2.CHANST + 6;
    level4 = lfpar2.CHANST + 9;
elseif (strcmp(getfield(lfpar2,'CRUISE'), 'CRSE'))
    nloops = 3;
    level1 = lfpar2.CHANST;
    level2 = lfpar2.CHANST + 1;
    level3 = lfpar2.CHANST + 2;
elseif (strcmp(getfield(lfpar2,'CRUISE'), 'BOSE'))
    nloops = 3;
    level1 = lfpar2.CHANST;
    level2 = lfpar2.CHANST + 1;
    level3 = lfpar2.CHANST + 2;
elseif (strcmp(getfield(lfpar2,'CRUISE'), 'SOBO'))
    nloops = 3;
    level1 = lfpar2.CHANST;
    level2 = lfpar2.CHANST + 1;
    level3 = lfpar2.CHANST + 2;
else
    nloops    = 1;
    STARTCHAN = lfpar2.CHANST;
    ENDCHAN   = lfpar2.CHANEN;
end
%count=0;
for n=1:nloops
    if (strcmp(getfield(lfpar2,'CRUISE'), 'LFAS'))
      if (n == 1)
        STARTCHAN = level1;
        ENDCHAN   = level1;
        subplot(4,1,1);
       elseif (n == 2)
        STARTCHAN = level2;
        ENDCHAN   = level2;
        subplot(4,1,2);
       elseif (n == 3)
        STARTCHAN = level3;
        ENDCHAN   = level3;
        subplot(4,1,3);
       elseif (n == 4)
        STARTCHAN = level4;
        ENDCHAN   = level4;
        subplot(4,1,4);
      end
    elseif (strcmp(getfield(lfpar2,'CRUISE'), 'CRSE'))
      if (n == 1)
        STARTCHAN = level1;
        ENDCHAN   = level1;
        subplot(3,1,1);
       elseif (n == 2)
        STARTCHAN = level2;
        ENDCHAN   = level2;
        subplot(3,1,2);
       elseif (n == 3)
        STARTCHAN = level3;
        ENDCHAN   = level3;
        subplot(3,1,3);
      end
    elseif (strcmp(getfield(lfpar2,'CRUISE'), 'BOSE'))
      if (n == 1)
        STARTCHAN = level1;
        ENDCHAN   = level1;
        subplot(3,1,1);
       elseif (n == 2)
        STARTCHAN = level2;
        ENDCHAN   = level2;
        subplot(3,1,2);
       elseif (n == 3)
        STARTCHAN = level3;
        ENDCHAN   = level3;
        subplot(3,1,3);
      end
    elseif (strcmp(getfield(lfpar2,'CRUISE'), 'SOBO'))
      if (n == 1)
        STARTCHAN = level1;
        ENDCHAN   = level1;
        subplot(3,1,1);
       elseif (n == 2)
        STARTCHAN = level2;
        ENDCHAN   = level2;
        subplot(3,1,2);
       elseif (n == 3)
        STARTCHAN = level3;
        ENDCHAN   = level3;
        subplot(3,1,3);
      end
    end
%disp(['istart ' num2str(istart) ' iend ' num2str(iend)]);        
for i=istart:iend
   go=0;
  if ((rem((lfazo1.d(i).m-lfazo1.d(1).m),lfpar2.ISTEP) == 0) && (lfazo1.d(i).m >= lfpar2.ISTART) && (lfazo1.d(i).m <= lfpar2.IEND) && (lfazo1.d(i).n >= STARTCHAN) && (lfazo1.d(i).n <= ENDCHAN))
  
      go=1;
 % disp(['  plotting step ',num2str(i),'  for shot ',num2str(lfazo1.d(i).m),'  channel  ',num2str(lfazo1.d(i).n)]);
  if (lfpar2.IPLOT == 2)
       if (step ==  lfpar2.ISTEP)
            step = 0;
       end
       go = 0;
    if ((lfazo1.d(i).m >= lfpar2.MST) & (lfazo1.d(i).m <= lfpar2.MEN) & (lfazo1.d(i).n >= STARTCHAN) & (lfazo1.d(i).n <= ENDCHAN) )
      step=step+1;
        if (step ==  lfpar2.ISTEP)
            go = 1;
        end
    end
  end
  if (lfazo1.d(i).datamax == 0)
%    go = 1;
    go = 0;
  end
  
 % disp(['  go is  ',num2str(go),'  i is ',num2str(i)]);
  
  if (go == 1)
   if (lfpar2.RATE == 0)
     y=([1:1:lfazo1.d(i).npts]/lfazo1.d(i).nnsamp)+lfazo1.d(i).btime;
    else
     y=([1:1:lfazo1.d(i).npts]*lfpar2.RATE)+lfazo1.d(i).btime;
   end
  if (lfpar2.LFREDVEL > 0)
      redcorr=lfazo1.d(i).range/1000.0/lfpar2.LFREDVEL;
      redcorr=lfazo1.d(i).range/lfpar2.LFREDVEL;
      y=y-redcorr;
  end
  lfpar2.WAVELENGTH;
  lfpar2.DEPTH;
  lfpar2.RANGEAXIS;
  if ((lfpar2.WAVELENGTH < 0) | (lfpar2.DEPTH ==  3) | (lfpar2.RANGEAXIS == 3))
          count = count+1;
          dist  = count;
    elseif ((lfpar2.RANGEAXIS == 1) | (lfpar2.DEPTH == 1))
          dist=lfazo1.d(i).range/1000.;
          dist=lfazo1.d(i).range;
%          disp(['dist is ' num2str(dist) ' ' num2str(lfpar2.RANGEAXIS)]);
    elseif ((lfpar2.RANGEAXIS == 2) | (lfpar2.DEPTH == 2))
          dist=lfazo1.d(i).gdel;
    elseif ((lfpar2.RANGEAXIS == 4) | (lfpar2.DEPTH == 4))
          dist=lfazo1.d(i).azimuth;
    else
          dist=9999;
  end

 
  if (lfpar2.AMPTYPE == 3)
     scale=lfpar2.AMPSCALE;
  elseif (lfpar2.AMPTYPE == 1)
     if (lfazo1.d(i).datamax == 0)
        lfazo1.d(i).datamax = 1;
     end
     scale=(lfpar2.AMPSCALE/(lfazo1.d(i).datamax*2.0));
  elseif (lfpar2.AMPTYPE == 2)
       ranw=1;
      if (lfazo1.d(i).range > lfpar2.LFRO)
         ranw=((lfazo1.d(i).range)/lfpar2.LFRO).^lfpar2.LFALPHA;
      end
     scale=lfpar2.AMPSCALE*ranw;   
  end
%disp(['dist is ' num2str(dist)]);
 if (lfpar2.LFCLIPP <= 0) 
      x=(lfazo1.d(i).data*scale)+dist;
  else
      clipp=lfpar2.LFCLIPP*lfpar2.LFRSCALE;
%      x=(sign(D(1:lfazo1.d(i).npts,i)) .* min(abs(D(1:lfazo1.d(i).npts,i)*scale),clipp))+dist;
      x=(sign(lfazo1.d(i).data) .* min(abs(lfazo1.d(i).data*scale),clipp))+dist;
 end
hold on;

if ((lfpar2.FILLWIGGLE == 2) | (lfpar2.FILLWIGGLE >= 4))
clear xx;
clear yy;
clear z;
clear nc;
xx(1)=0;
yy(1)=0;
z=1;
rangzero=.0001;
z=find(x <= (dist - rangzero));

nc=1;
nstart=1;
if (length(z) > 2)
x(end+1)=x(end);
y(end+1)=y(end);
for nnn=1:length(z);
   nc=nc+1;
   xx(nc)=x(z(nnn));
   yy(nc)=y(z(nnn));
   if (nc == 2)
      nbegin=nnn;
   end
   if (nstart == 1)
     nnnadd=1;
     else
     nnnadd=0;
   end

   if (((nnn > 2) & (nnn < length(z)) & (z(nnn)+1 < z(nnn+1))) | ((nnn > 2) & (nnn <= length(z)) & (z(nnn) == z(end))))
%   if ((nnn > 1) & (nnn < length(z)) & (z(nnn)+1 < z(nnn+1)))
     if (nc > 2)
      xdiff=x(z(nbegin)-1+nnnadd)-xx(2);
      ydiff=y(z(nbegin)-1+nnnadd)-yy(2);
        if (xdiff ~= 0.0)
%	     yadd=((x(z(nbegin)-1+nnnadd)-dist-rangzero)/xdiff)*ydiff;
	     yadd=((x(z(nbegin)-1+nnnadd)-dist)/xdiff)*ydiff;
	  else
	     yadd=ydiff;
	end
      xx(1)=dist;
      yy(1)=y(z(nbegin)-1+nnnadd)+yadd;

      xdiff=xx(nc)-x(z(nnn)+1);
      ydiff=yy(nc)-y(z(nnn)+1);
        if (xdiff ~= 0.0)
	     yadd=((xx(nc)-dist-rangzero)/xdiff)*ydiff;
	     yadd=((xx(nc)-dist)/xdiff)*ydiff;
	  else
	     yadd=ydiff;
	end
      xx(nc+1)=dist;
      yy(nc+1)=y(z(nnn)+1)+yadd;
      fill(xx,yy,'red','edgecolor','none');
%      plot(xx,yy,'r+');
hold on;
     end  
     clear xx;
     clear yy;
     nc=1;
     nstart=0;
   end
end
end
end

if ((lfpar2.FILLWIGGLE == 3) | (lfpar2.FILLWIGGLE >= 4))
clear xx yy z nc;
nstart=1;
z=1;

rangzero=0.00001;
z=find(x >= (dist + rangzero));
nc=1;
xx(1)=dist;
yy(1)=y(z(1));
xx(1)=0;
yy(1)=0;

if (length(z) > 2)
x(end+1)=x(end);
y(end+1)=y(end);
for nnn=1:length(z);
   nc=nc+1;
   xx(nc)=x(z(nnn));
   yy(nc)=y(z(nnn));
   if (nc == 2)
      nbegin=nnn;
   end
   if (nstart == 1)
     nnnadd=1;
     else
     nnnadd=0;
   end

   if (((nnn > 2) & (nnn < length(z)) & (z(nnn)+1 < z(nnn+1))) | ((nnn > 2) & (nnn < length(z)) & (z(nnn) == z(end))))
     if (nc > 2);
      xdiff=x(z(nbegin)-1+nnnadd)-xx(2);
      ydiff=y(z(nbegin)-1+nnnadd)-yy(2);
        if (xdiff ~= 0.0)
	     yadd=((x(z(nbegin)-1+nnnadd)-(dist))/xdiff)*ydiff;
	  else
	     yadd=ydiff;
	end
      xx(1)=dist;
      yy(1)=y(z(nbegin)-1+nnnadd)+yadd;

      xdiff=x(z(nnn)+1)-xx(nc);
      ydiff=y(z(nnn)+1)-yy(nc);
%      xdiff=xx(nc)-x(z(nnn)+1);
 %     ydiff=yy(nc)-y(z(nnn)+1);
        if (xdiff ~= 0.0)
	     yadd=((x(z(nnn)+1)-(dist))/xdiff)*ydiff;
%	     yadd=((xx(nc)-dist)/xdiff)*ydiff;
	  else
	     yadd=ydiff;
	end
      xx(nc+1)=dist;
      yy(nc+1)=y(z(nnn))+yadd;
      fill(xx(1:end),yy(1:end),'blue','edgecolor','none');
%    plot (xx(1:end),yy(1:end),'r+-');
      hold on;
     end
     clear xx;
     clear yy;
     nc=1;
     nstart=0;
   end  
%    plot (x,y,'black'); 
end

end
end
% plot([dist dist],[y(1) y(end)],'g');

 if ((lfpar2.FILLWIGGLE == 1) | (lfpar2.FILLWIGGLE == 4))
    plot (x,y,'black');
    hold on;
 end

%clear z;
%z=find(((dist - .0001) <= x ) & ( x <= (dist + .0001)));
%plot(x(z),y(z),'mo'); 
%plot([dist dist],[y(1) y(end)],'g'); 
 
  end  %  end of whether data is in the right box or not
  end  %  end of go = 1 if 
end   % end of shots loop
%end

%     disp(['  got to after last plot  ', num2str(i)]);
tstfix=0;
tenfix=0;
if (lfpar2.LFREDVEL > 0)
   tstfix=(lfazo1.d(iend).range/1000.0/lfpar2.LFREDVEL);
   tenfix=(lfazo1.d(istart).range/1000.0/lfpar2.LFREDVEL);
   tstfix=(lfazo1.d(iend).range/lfpar2.LFREDVEL);
   tenfix=(lfazo1.d(istart).range/lfpar2.LFREDVEL);
end

if ((lfpar2.WAVELENGTH < 0) || (lfpar2.DEPTH == 3))
       xl = istart-1;
%       xr = dist+3;
       xl = 0;
       xr = count+3;
      bot = lfpar2.LFTST-tstfix;
      top = lfpar2.LFTEN-tenfix;
      bot = lfpar2.LFTST;
      top = lfpar2.LFTEN;
elseif (lfpar2.IPLOT == 2)
       xl = 0;
       xr = dist+3;
      bot = lfpar2.LFTST-tstfix;
      top = lfpar2.LFTEN-tenfix;
else
       xl = lfpar2.LFRST;
       xr = lfpar2.LFREN;
      bot = lfpar2.LFTST-tstfix;
      top = lfpar2.LFTEN-tenfix;
      bot = lfpar2.LFTST;
      top = lfpar2.LFTEN;
end
disp([num2str(xl) ' ' num2str(xr) ' ' num2str(bot) ' ' num2str(top) '  ' num2str(dist)]);
axis ([xl xr bot top]);
rlen=(xr-xl)*lfpar.LFRSCALE;
tlen=(top-bot)*lfpar.LFTSCALE;
%set(ax2,'position',[1 1.5 rlen tlen],'Units','inches');
	 
ssy=char(lfpar2.EXTRATITLE);
stt=length(lfpar2.EXTENT);
utt=0;
for st=1:stt
    utt=utt+1;
    stitleuse(utt:utt)=lfpar2.EXTENT(st:st);
   if (strcmp(lfpar2.EXTENT(st:st),'_') == 1)
       stitleuse(utt:utt+1)='\_';
       utt=utt+1;
   end
end
if (n == 1)
     lftitle=sprintf('%s %s    Channel %2.2d',ssy,stitleuse,STARTCHAN);
  elseif (n > 1)
     lftitle=sprintf('Channel %2.2d',STARTCHAN);
end
title( lftitle );
if (n == nloops)
    if (lfpar2.WAVELENGTH >= 0)
xlabel(lfpar2.range_axis{lfpar2.RANGEAXIS});
  elseif (lfpar2.WAVELENGTH < 0)
xlabel('Sequence Number');
    end
end
if (lfpar2.LFREDVEL > 0)
  yaxislabel=sprintf('%s (Reduction Velocity %5.2f)\n',lfpar2.time_axis{lfpar2.TIMEAXIS},lfpar2.LFREDVEL);
  if (((n == 2) && (nloops == 3) )|| ((nloops == 4) && ((n == 1) || (n == 4))) || (nloops == 1))
     ylabel(yaxislabel);
  end
else
  ylabel(lfpar2.time_axis{lfpar2.TIMEAXIS});
end

lfpar.read = 0;
if (0)
%if (lfpar2.PARAMS == 2)
%set (gca,'position',[1. 1.5 xlen ylen]);
if (lfpar2.WAVELENGTH < 0)
       xl = lfpar2.ISTART - 1;
       xr = lfpar2.IEND  + 2;
      bot = lfpar2.LFTST-tstfix;
      top = lfpar2.LFTEN-tenfix;
    if (lfpar2.IPLOT == 1)
         xl = 0;
         xr = dist + 3;
        bot = lfpar2.LFTST-tstfix;
        top = lfpar2.LFTEN-tenfix;
    end
elseif (lfpar2.DEPTH == 3)
       xl = istart-1;
       xr = dist+3;
       xl = 0;
       xr = dist+3;
      bot = lfpar2.LFTST-tstfix;
      top = lfpar2.LFTEN-tenfix;
elseif (lfpar2.IPLOT == 2)
       xl = 0;
       xr = dist+3;
      bot = lfpar2.LFTST-tstfix;
      top = lfpar2.LFTEN-tenfix;
else
       xl = lfpar2.LFRST;
       xr = lfpar2.LFREN;
      bot = lfpar2.LFTST-tstfix;
      top = lfpar2.LFTEN-tenfix;
end
end
%lfpar.LFRSCALE
%lfpar.LFTSCALE
%xl=xl-.2/lfpar.LFRSCALE-.2;

if ((strcmp(lfpar.CRUISE,'SOBO')) || (strcmp(lfpar.CRUISE,'CRSE')))
    ytop1 = bot-lfpar.LFTSCALE;
    ytop1 = bot-.5;
    xl    = xl-.5;
else
    ytop1 = bot-(.55/lfpar.LFTSCALE);
    xl    = -.2/lfpar.LFRSCALE-.2;
end
%ytop=-(.55/lfpar.LFTSCALE);

end  % end of nloops loop
if (nloops == 4)
    nstep = 5;
elseif (nloops == 3)
    nstep = 1;
end
nstep=nloops;
if ((strcmp(lfpar.CRUISE,'SOBO')) || (strcmp(lfpar.CRUISE,'CRSE')))
   %ytop=ytop1-(lfpar.LFTSCALE)*nstep*1;
   ytop=ytop1-.25;
else
   ytop=ytop1-(.55/lfpar.LFTSCALE)*nstep;
end

box=sprintf('Shots: %d to %d by %d   Channels: %d to %d by %d',lfazo1.d(1).m, lfazo1.d(end).m, lfpar2.ISTEP,  lfpar2.CHANST, lfpar2.CHANEN, lfpar2.CHANSTEP);
text(xl,ytop,box);
disp(['xl ytop ' num2str(xl) ' ' num2str(ytop) ' ' num2str(lfpar.LFTSCALE)]);
xrr=(2*(xr -xl)/3)+xl;
%ytop=ytop1-(.5/lfpar.LFTSCALE);
%ytop = ytop1*2;
scales=sprintf('Range Scale: %5.2f Time Scale %5.2f',lfpar.LFRSCALE,lfpar.LFTSCALE);
text(xrr,ytop,scales);

if (lfpar2.AMPTYPE == 3)
scales=sprintf('Amplitude Scale: %e',lfpar.AMPSCALE);
  elseif (lfpar2.AMPTYPE == 1)
scales=sprintf('Equal Maximum Amplitude to: %e',lfpar.AMPSCALE);
  elseif (lfpar2.AMPTYPE == 2)
scales=sprintf('Range Weighted: Amplitude Scale: %e Alpha: %5.3f Ro: %5.3f',lfpar.AMPSCALE, lfpar.LFALPHA, lfpar.LFRO);
end
%ytop=ytop-(.3/lfpar.LFTSCALE)*nstep;
if ((strcmp(lfpar.CRUISE,'SOBO')) || (strcmp(lfpar.CRUISE,'CRSE')))
%   ytop=ytop-(lfpar.LFTSCALE)*nstep*1;
   ytop=ytop-.25;
else
   ytop=ytop-(.3/lfpar.LFTSCALE)*nstep;
end

%ytop = ytop1*3;
text(xl,ytop,scales);

clipp=sprintf('Clipping Value: %5.2f',lfpar2.LFCLIPP);
redvel=sprintf('Reduction Velocity: %5.1f',lfpar2.LFREDVEL);
%mval=sprintf('Value into M %f',lfpar2.WAVELENGTH);
%tsamp=sprintf('New Sampling Rate: %f',
clippbox=sprintf('%s  %s',clipp, redvel);

%ytop=ytop-(.3/lfpar.LFTSCALE)*nstep;
if ((strcmp(lfpar.CRUISE,'SOBO')) || (strcmp(lfpar.CRUISE,'CRSE')))
 %  ytop=ytop-(lfpar.LFTSCALE)*nstep*.5;
   ytop=ytop-.25;
else
   ytop=ytop-(.3/lfpar.LFTSCALE)*nstep;
end

%ytop = ytop1*4;
text(xl,ytop,clippbox);
%end
%end
fig=findobj('type','figure','tag','bigmenu');
tagit=sprintf('c41');
h=findobj(fig,'tag',tagit);	

set(h,'String','Time Series',...
      'horizontalalignment','center',...
      'foregroundcolor',[0 0 0],...
      'backgroundcolor',[1 1 1]);
